<?php

/**
 * 
 * PHP Pro Bid $Id$ gV0fhW3tAm1JDU2OcaLsvebgVrs3+rpIUzgeNrwyL2zrjNe5F4amnF2xUX7SmtkZkn0l9qv/xu9Ekagx1/6w+w==
 * 
 * @link        http://www.phpprobid.com
 * @copyright   Copyright (c) 2014 Online Ventures Software LTD & CodeCube SRL
 * @license     http://www.phpprobid.com/license Commercial License
 * 
 * @version     7.0
 */

namespace Ppb\Db\Table;

use Cube\Db\Table\AbstractTable;

class PaymentGatewaysSettings extends AbstractTable
{

    /**
     *
     * table name
     * 
     * @var string
     */
    protected $_name = 'payment_gateways_settings';

    /**
     *
     * primary key
     * 
     * @var string
     */
    protected $_primary = 'id';

    /**
     *
     * reference map
     * 
     * @var array
     */
    protected $_referenceMap = array(
        'Gateway' => array(
            self::COLUMNS => 'gateway_id',
            self::REF_TABLE_CLASS => '\Ppb\Db\Table\PaymentGateways',
            self::REF_COLUMNS => 'id',
        ),
        'User' => array(
            self::COLUMNS => 'user_id',
            self::REF_TABLE_CLASS => '\Ppb\Db\Table\Users',
            self::REF_COLUMNS => 'id',
        ),
    );

}

